/* eslint-disable */
/* prettier-ignore */
// @ts-nocheck
// Generated by unplugin-vue-components
// Read more: https://github.com/vuejs/core/pull/3399
export {}

declare module 'vue' {
  export interface GlobalComponents {
    BButton: typeof import('bootstrap-vue-next')['BButton']
    BButtonGroup: typeof import('bootstrap-vue-next')['BButtonGroup']
    BButtonToolbar: typeof import('bootstrap-vue-next')['BButtonToolbar']
    BCard: typeof import('bootstrap-vue-next')['BCard']
    BFormGroup: typeof import('bootstrap-vue-next')['BFormGroup']
    BFormInput: typeof import('bootstrap-vue-next')['BFormInput']
    BFormInvalidFeedback: typeof import('bootstrap-vue-next')['BFormInvalidFeedback']
    BFormTextarea: typeof import('bootstrap-vue-next')['BFormTextarea']
    BSpinner: typeof import('bootstrap-vue-next')['BSpinner']
    IBiInfoCircle: typeof import('~icons/bi/info-circle')['default']
    IMdiLock: typeof import('~icons/mdi/lock')['default']
    IMdiLockOpen: typeof import('~icons/mdi/lock-open')['default']
    IMdiMinus: typeof import('~icons/mdi/minus')['default']
    IMdiPlus: typeof import('~icons/mdi/plus')['default']
    IMdiVisibility: typeof import('~icons/mdi/visibility')['default']
    IMdiVisibilityOff: typeof import('~icons/mdi/visibility-off')['default']
    InputBooleanCombobox: typeof import('./components/InputBooleanCombobox.vue')['default']
    InputCombobox: typeof import('./components/InputCombobox.vue')['default']
    InputDatePicker: typeof import('./components/InputDatePicker.vue')['default']
    InputList: typeof import('./components/InputList.vue')['default']
    InputShape: typeof import('./components/InputShape.vue')['default']
    InputTextField: typeof import('./components/InputTextField.vue')['default']
    WrapperButtonGroup: typeof import('./components/WrapperButtonGroup.vue')['default']
    WrapperInput: typeof import('./components/WrapperInput.vue')['default']
  }
  export interface ComponentCustomProperties {
    vBPopover: typeof import('bootstrap-vue-next')['vBPopover']
    vBTooltip: typeof import('bootstrap-vue-next')['vBTooltip']
  }
}
